"""
Package random provides functions to generate random DNA, RNA, and protein sequences.

"""
# python wrapper for package github.com/bebop/poly/random within overall package poly
# This is what you import to use the package.
# File is generated by gopy. Do not edit.
# gopy pkg -vm=python3 github.com/bebop/poly

# the following is required to enable dlopen to open the _go.so file
import os,sys,inspect,collections
try:
	import collections.abc as _collections_abc
except ImportError:
	_collections_abc = collections

cwd = os.getcwd()
currentdir = os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))
os.chdir(currentdir)
from . import _poly
from . import go

os.chdir(cwd)

# to use this code in your end-user python file, import it as follows:
# from poly import random
# and then refer to everything using random. prefix
# packages imported by this package listed below:




# ---- Types ---


#---- Enums from Go (collections of consts with same type) ---


#---- Constants from Go: Python can only ask that you please don't change these! ---


# ---- Global Variables: can only use functions to access ---


# ---- Interfaces ---


# ---- Structs ---


# ---- Slices ---


# ---- Maps ---


# ---- Constructors ---


# ---- Functions ---
def DNASequence(length, seed):
	"""DNASequence(int length, long seed) str, str
	
	DNASequence returns a random DNA sequence string of a given length and seed.
	"""
	return _poly.random_DNASequence(length, seed)
def ProteinSequence(length, seed):
	"""ProteinSequence(int length, long seed) str, str
	
	ProteinSequence returns a random protein sequence string of a given length and seed.
	All returned sequences start M (Methionine) and end with * (stop codon).
	"""
	return _poly.random_ProteinSequence(length, seed)
def RNASequence(length, seed):
	"""RNASequence(int length, long seed) str, str
	
	RNASequence returns a random DNA sequence string of a given length and seed.
	"""
	return _poly.random_RNASequence(length, seed)


