# python build stubs for package poly
# File is generated by gopy. Do not edit.
# gopy pkg -vm=python3 github.com/bebop/poly

from pybindgen import retval, param, Function, Module
import sys

class CheckedFunction(Function):
    def __init__(self, *a, **kw):
        super(CheckedFunction, self).__init__(*a, **kw)
        self._failure_expression = kw.get('failure_expression', '')
        self._failure_cleanup = kw.get('failure_cleanup', '')

    def set_failure_expression(self, expr):
        self._failure_expression = expr

    def set_failure_cleanup(self, expr):
        self._failure_cleanup = expr

    def generate_call(self):
        super(CheckedFunction, self).generate_call()
        check = "PyErr_Occurred()"
        if self._failure_expression:
            check = "{} && {}".format(self._failure_expression, check)
        failure_cleanup = self._failure_cleanup or None
        self.before_call.write_error_check(check, failure_cleanup)

def add_checked_function(mod, name, retval, params, failure_expression='', *a, **kw):
    fn = CheckedFunction(name, retval, params, *a, **kw)
    fn.set_failure_expression(failure_expression)
    mod._add_function_obj(fn)
    return fn

def add_checked_string_function(mod, name, retval, params, failure_expression='', *a, **kw):
    fn = CheckedFunction(name, retval, params, *a, **kw)
    fn.set_failure_cleanup('if (retval != NULL) free(retval);')
    fn.after_call.add_cleanup_code('free(retval);')
    fn.set_failure_expression(failure_expression)
    mod._add_function_obj(fn)
    return fn

mod = Module('_poly')
mod.add_include('"poly_go.h"')
mod.add_function('GoPyInit', None, [])
mod.add_function('DecRef', None, [param('int64_t', 'handle')])
mod.add_function('IncRef', None, [param('int64_t', 'handle')])
mod.add_function('NumHandles', retval('int'), [])
mod.add_function('Slice_bool_CTor', retval('int64_t'), [])
mod.add_function('Slice_bool_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_bool_elem', retval('bool'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_bool_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_bool_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('bool', 'value')])
mod.add_function('Slice_bool_append', None, [param('int64_t', 'handle'), param('bool', 'value')])
mod.add_function('Slice_byte_CTor', retval('int64_t'), [])
mod.add_function('Slice_byte_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_byte_elem', retval('uint8_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_byte_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_byte_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint8_t', 'value')])
mod.add_function('Slice_byte_append', None, [param('int64_t', 'handle'), param('uint8_t', 'value')])
mod.add_function('Slice_byte_from_bytes', retval('int64_t'), [param('PyObject*', 'o', transfer_ownership=False)])
mod.add_function('Slice_byte_to_bytes', retval('PyObject*', caller_owns_return=True), [param('int64_t', 'handle')])
mod.add_function('Slice_error_CTor', retval('int64_t'), [])
mod.add_function('Slice_error_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_error_elem', retval('char*'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_error_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_error_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('char*', 'value')])
mod.add_function('Slice_error_append', None, [param('int64_t', 'handle'), param('char*', 'value')])
mod.add_function('Slice_float32_CTor', retval('int64_t'), [])
mod.add_function('Slice_float32_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_float32_elem', retval('float'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_float32_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_float32_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('float', 'value')])
mod.add_function('Slice_float32_append', None, [param('int64_t', 'handle'), param('float', 'value')])
mod.add_function('Slice_float64_CTor', retval('int64_t'), [])
mod.add_function('Slice_float64_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_float64_elem', retval('double'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_float64_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_float64_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('double', 'value')])
mod.add_function('Slice_float64_append', None, [param('int64_t', 'handle'), param('double', 'value')])
mod.add_function('Slice_int_CTor', retval('int64_t'), [])
mod.add_function('Slice_int_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_int_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_int16_CTor', retval('int64_t'), [])
mod.add_function('Slice_int16_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int16_elem', retval('int16_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int16_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int16_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int16_t', 'value')])
mod.add_function('Slice_int16_append', None, [param('int64_t', 'handle'), param('int16_t', 'value')])
mod.add_function('Slice_int32_CTor', retval('int64_t'), [])
mod.add_function('Slice_int32_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int32_elem', retval('int32_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int32_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int32_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int32_t', 'value')])
mod.add_function('Slice_int32_append', None, [param('int64_t', 'handle'), param('int32_t', 'value')])
mod.add_function('Slice_int64_CTor', retval('int64_t'), [])
mod.add_function('Slice_int64_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int64_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int64_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int64_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_int64_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_int8_CTor', retval('int64_t'), [])
mod.add_function('Slice_int8_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int8_elem', retval('int8_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int8_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int8_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int8_t', 'value')])
mod.add_function('Slice_int8_append', None, [param('int64_t', 'handle'), param('int8_t', 'value')])
mod.add_function('Slice_rune_CTor', retval('int64_t'), [])
mod.add_function('Slice_rune_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_rune_elem', retval('int32_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_rune_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_rune_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int32_t', 'value')])
mod.add_function('Slice_rune_append', None, [param('int64_t', 'handle'), param('int32_t', 'value')])
mod.add_function('Slice_string_CTor', retval('int64_t'), [])
mod.add_function('Slice_string_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_string_elem', retval('char*'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_string_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_string_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('char*', 'value')])
mod.add_function('Slice_string_append', None, [param('int64_t', 'handle'), param('char*', 'value')])
mod.add_function('Slice_uint_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint_elem', retval('uint64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint64_t', 'value')])
mod.add_function('Slice_uint_append', None, [param('int64_t', 'handle'), param('uint64_t', 'value')])
mod.add_function('Slice_uint16_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint16_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint16_elem', retval('uint16_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint16_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint16_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint16_t', 'value')])
mod.add_function('Slice_uint16_append', None, [param('int64_t', 'handle'), param('uint16_t', 'value')])
mod.add_function('Slice_uint32_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint32_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint32_elem', retval('uint32_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint32_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint32_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint32_t', 'value')])
mod.add_function('Slice_uint32_append', None, [param('int64_t', 'handle'), param('uint32_t', 'value')])
mod.add_function('Slice_uint64_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint64_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint64_elem', retval('uint64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint64_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint64_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint64_t', 'value')])
mod.add_function('Slice_uint64_append', None, [param('int64_t', 'handle'), param('uint64_t', 'value')])
mod.add_function('Slice_uint8_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint8_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint8_elem', retval('uint8_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint8_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint8_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint8_t', 'value')])
mod.add_function('Slice_uint8_append', None, [param('int64_t', 'handle'), param('uint8_t', 'value')])
mod.add_function('alphabet_DNA', retval('int64_t'), [])
mod.add_function('alphabet_Set_DNA', None, [param('int64_t', 'val')])
mod.add_function('alphabet_Protein', retval('int64_t'), [])
mod.add_function('alphabet_Set_Protein', None, [param('int64_t', 'val')])
mod.add_function('alphabet_RNA', retval('int64_t'), [])
mod.add_function('alphabet_Set_RNA', None, [param('int64_t', 'val')])
mod.add_function('alphabet_Error_CTor', retval('int64_t'), [])
add_checked_string_function(mod, 'alphabet_Error_Error', retval('char*'), [param('int64_t', '_handle')])
mod.add_function('alphabet_Alphabet_CTor', retval('int64_t'), [])
add_checked_function(mod, 'alphabet_Alphabet_Encode', retval('int64_t'), [param('int64_t', '_handle'), param('char*', 'symbol')])
add_checked_string_function(mod, 'alphabet_Alphabet_Decode', retval('char*'), [param('int64_t', '_handle'), param('char*', 'code')])
add_checked_function(mod, 'alphabet_Alphabet_Extend', retval('int64_t'), [param('int64_t', '_handle'), param('int64_t', 'symbols')])
add_checked_function(mod, 'alphabet_Alphabet_Symbols', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_function(mod, 'alphabet_NewAlphabet', retval('int64_t'), [param('int64_t', 'symbols')])
add_checked_function(mod, 'checks_IsDNA', retval('bool'), [param('char*', 'seq')])
add_checked_function(mod, 'checks_IsPalindromic', retval('bool'), [param('char*', 'sequence')])
add_checked_function(mod, 'checks_IsRNA', retval('bool'), [param('char*', 'seq')])
add_checked_function(mod, 'checks_GcContent', retval('double'), [param('char*', 'sequence')])
mod.add_function('Slice_Slice_Slice_byte_CTor', retval('int64_t'), [])
mod.add_function('Slice_Slice_Slice_byte_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_Slice_Slice_byte_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_Slice_Slice_byte_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_Slice_Slice_byte_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_Slice_Slice_byte_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_Slice_byte_CTor', retval('int64_t'), [])
mod.add_function('Slice_Slice_byte_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_Slice_byte_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_Slice_byte_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_Slice_byte_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_Slice_byte_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_Slice_int_CTor', retval('int64_t'), [])
mod.add_function('Slice_Slice_int_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_Slice_int_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_Slice_int_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_Slice_int_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_Slice_int_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_Slice_string_CTor', retval('int64_t'), [])
mod.add_function('Slice_Slice_string_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_Slice_string_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_Slice_string_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_Slice_string_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_Slice_string_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_clone_Enzyme_CTor', retval('int64_t'), [])
mod.add_function('Slice_clone_Enzyme_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_clone_Enzyme_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_clone_Enzyme_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_clone_Enzyme_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_clone_Enzyme_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_clone_Fragment_CTor', retval('int64_t'), [])
mod.add_function('Slice_clone_Fragment_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_clone_Fragment_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_clone_Fragment_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_clone_Fragment_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_clone_Fragment_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('clone_Overhang_CTor', retval('int64_t'), [])
mod.add_function('clone_Overhang_Length_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('clone_Overhang_Length_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('clone_Overhang_Position_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('clone_Overhang_Position_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('clone_Overhang_Forward_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('clone_Overhang_Forward_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('clone_Overhang_RecognitionSitePlusSkipLength_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('clone_Overhang_RecognitionSitePlusSkipLength_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('clone_Part_CTor', retval('int64_t'), [])
mod.add_function('clone_Part_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('clone_Part_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('clone_Part_Circular_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('clone_Part_Circular_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('clone_Enzyme_CTor', retval('int64_t'), [])
mod.add_function('clone_Enzyme_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('clone_Enzyme_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('clone_Enzyme_RegexpFor_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('clone_Enzyme_RegexpFor_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('clone_Enzyme_RegexpRev_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('clone_Enzyme_RegexpRev_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('clone_Enzyme_Skip_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('clone_Enzyme_Skip_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('clone_Enzyme_OverheadLength_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('clone_Enzyme_OverheadLength_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('clone_Enzyme_RecognitionSite_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('clone_Enzyme_RecognitionSite_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('clone_EnzymeManager_CTor', retval('int64_t'), [])
add_checked_function(mod, 'clone_EnzymeManager_CutWithEnzymeByName', retval('int64_t'), [param('int64_t', '_handle'), param('int64_t', 'part'), param('bool', 'directional'), param('char*', 'name')])
add_checked_function(mod, 'clone_EnzymeManager_GetEnzymeByName', retval('int64_t'), [param('int64_t', '_handle'), param('char*', 'name')])
mod.add_function('clone_Fragment_CTor', retval('int64_t'), [])
mod.add_function('clone_Fragment_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('clone_Fragment_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('clone_Fragment_ForwardOverhang_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('clone_Fragment_ForwardOverhang_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('clone_Fragment_ReverseOverhang_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('clone_Fragment_ReverseOverhang_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'clone_NewEnzymeManager', retval('int64_t'), [param('int64_t', 'enzymes')])
add_checked_function(mod, 'clone_CutWithEnzyme', retval('int64_t'), [param('int64_t', 'part'), param('bool', 'directional'), param('int64_t', 'enzyme')])
add_checked_function(mod, 'clone_GetBaseRestrictionEnzymes', retval('int64_t'), [])
mod.add_function('fold_Result_CTor', retval('int64_t'), [])
add_checked_string_function(mod, 'fold_Result_DotBracket', retval('char*'), [param('int64_t', '_handle')])
add_checked_function(mod, 'fold_Result_MinimumFreeEnergy', retval('double'), [param('int64_t', '_handle')])
add_checked_function(mod, 'fold_Zuker', retval('int64_t'), [param('char*', 'seq'), param('double', 'temp')])
mod.add_function('Slice_fasta_Fasta_CTor', retval('int64_t'), [])
mod.add_function('Slice_fasta_Fasta_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_fasta_Fasta_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_fasta_Fasta_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_fasta_Fasta_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_fasta_Fasta_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('fasta_Fasta_CTor', retval('int64_t'), [])
mod.add_function('fasta_Fasta_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fasta_Fasta_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fasta_Fasta_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fasta_Fasta_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fasta_Parser_CTor', retval('int64_t'), [])
add_checked_function(mod, 'fasta_Parser_ParseAll', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_function(mod, 'fasta_Parser_ParseN', retval('int64_t'), [param('int64_t', '_handle'), param('int64_t', 'maxSequences')])
add_checked_function(mod, 'fasta_Parser_Reset', None, [param('int64_t', '_handle'), param('int64_t', 'r'), param('bool', 'goRun')])
add_checked_function(mod, 'fasta_NewParser', retval('int64_t'), [param('int64_t', 'r'), param('int64_t', 'maxLineSize')])
add_checked_function(mod, 'fasta_Build', retval('int64_t'), [param('int64_t', 'fastas')])
add_checked_function(mod, 'fasta_Parse', retval('int64_t'), [param('int64_t', 'r')])
add_checked_function(mod, 'fasta_Read', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'fasta_ReadGz', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'fasta_Write', retval('char*'), [param('int64_t', 'fastas'), param('char*', 'path')])
mod.add_function('Slice_fastq_Fastq_CTor', retval('int64_t'), [])
mod.add_function('Slice_fastq_Fastq_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_fastq_Fastq_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_fastq_Fastq_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_fastq_Fastq_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_fastq_Fastq_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Map_string_string_CTor', retval('int64_t'), [])
mod.add_function('Map_string_string_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Map_string_string_elem', retval('char*'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_string_contains', retval('bool'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_string_set', None, [param('int64_t', 'handle'), param('char*', 'key'), param('char*', 'value')])
mod.add_function('Map_string_string_delete', None, [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_string_keys', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('fastq_Fastq_CTor', retval('int64_t'), [])
mod.add_function('fastq_Fastq_Identifier_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fastq_Fastq_Identifier_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fastq_Fastq_Optionals_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('fastq_Fastq_Optionals_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('fastq_Fastq_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fastq_Fastq_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fastq_Fastq_Quality_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fastq_Fastq_Quality_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fastq_Parser_CTor', retval('int64_t'), [])
add_checked_function(mod, 'fastq_Parser_ParseAll', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_function(mod, 'fastq_Parser_ParseN', retval('int64_t'), [param('int64_t', '_handle'), param('int64_t', 'maxSequences')])
add_checked_function(mod, 'fastq_Parser_Reset', None, [param('int64_t', '_handle'), param('int64_t', 'r'), param('bool', 'goRun')])
add_checked_function(mod, 'fastq_NewParser', retval('int64_t'), [param('int64_t', 'r'), param('int64_t', 'maxLineSize')])
add_checked_function(mod, 'fastq_Parse', retval('int64_t'), [param('int64_t', 'r')])
add_checked_function(mod, 'fastq_Read', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'fastq_ReadGz', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'fastq_Write', retval('char*'), [param('int64_t', 'fastqs'), param('char*', 'path')])
add_checked_function(mod, 'fastq_Build', retval('int64_t'), [param('int64_t', 'fastqs')])
mod.add_function('Slice_genbank_BaseCount_CTor', retval('int64_t'), [])
mod.add_function('Slice_genbank_BaseCount_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_genbank_BaseCount_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_genbank_BaseCount_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_genbank_BaseCount_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_BaseCount_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Feature_CTor', retval('int64_t'), [])
mod.add_function('Slice_genbank_Feature_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_genbank_Feature_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_genbank_Feature_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_genbank_Feature_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Feature_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Genbank_CTor', retval('int64_t'), [])
mod.add_function('Slice_genbank_Genbank_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_genbank_Genbank_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_genbank_Genbank_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_genbank_Genbank_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Genbank_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Location_CTor', retval('int64_t'), [])
mod.add_function('Slice_genbank_Location_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_genbank_Location_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_genbank_Location_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_genbank_Location_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Location_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Reference_CTor', retval('int64_t'), [])
mod.add_function('Slice_genbank_Reference_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_genbank_Reference_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_genbank_Reference_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_genbank_Reference_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_genbank_Reference_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('genbank_Meta_CTor', retval('int64_t'), [])
mod.add_function('genbank_Meta_Date_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Date_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Definition_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Definition_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Accession_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Accession_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Version_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Version_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Keywords_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Keywords_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Organism_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Organism_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Source_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Source_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Taxonomy_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Taxonomy_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Meta_Origin_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Origin_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_Locus_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Locus_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Meta_References_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_References_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Meta_BaseCount_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_BaseCount_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Meta_Other_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Other_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Meta_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_SequenceHash_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_SequenceHash_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Meta_SequenceHashFunction_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Meta_SequenceHashFunction_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Reference_CTor', retval('int64_t'), [])
mod.add_function('genbank_Reference_Authors_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Reference_Authors_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Reference_Title_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Reference_Title_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Reference_Journal_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Reference_Journal_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Reference_PubMed_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Reference_PubMed_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Reference_Remark_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Reference_Remark_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Reference_Range_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Reference_Range_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Reference_Consortium_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Reference_Consortium_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_BaseCount_CTor', retval('int64_t'), [])
mod.add_function('genbank_BaseCount_Base_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_BaseCount_Base_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_BaseCount_Count_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_BaseCount_Count_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Feature_CTor', retval('int64_t'), [])
mod.add_function('genbank_Feature_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Feature_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Feature_Attributes_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_Attributes_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Feature_SequenceHash_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_SequenceHash_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Feature_SequenceHashFunction_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_SequenceHashFunction_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Feature_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Feature_Location_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_Location_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Feature_ParentSequence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Feature_ParentSequence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_string_function(mod, 'genbank_Feature_GetSequence', retval('char*'), [param('int64_t', '_handle')])
mod.add_function('genbank_Genbank_CTor', retval('int64_t'), [])
mod.add_function('genbank_Genbank_Meta_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Genbank_Meta_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Genbank_Features_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Genbank_Features_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Genbank_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Genbank_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'genbank_Genbank_AddFeature', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'feature')])
mod.add_function('genbank_Location_CTor', retval('int64_t'), [])
mod.add_function('genbank_Location_Start_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_Start_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Location_End_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_End_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Location_Complement_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_Complement_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('genbank_Location_Join_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_Join_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('genbank_Location_FivePrimePartial_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_FivePrimePartial_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('genbank_Location_ThreePrimePartial_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_ThreePrimePartial_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('genbank_Location_GbkLocationString_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_GbkLocationString_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Location_SubLocations_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('genbank_Location_SubLocations_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('genbank_Locus_CTor', retval('int64_t'), [])
mod.add_function('genbank_Locus_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Locus_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Locus_SequenceLength_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Locus_SequenceLength_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Locus_MoleculeType_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Locus_MoleculeType_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Locus_GenbankDivision_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Locus_GenbankDivision_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Locus_ModificationDate_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Locus_ModificationDate_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Locus_SequenceCoding_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('genbank_Locus_SequenceCoding_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('genbank_Locus_Circular_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('genbank_Locus_Circular_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
add_checked_function(mod, 'genbank_Parse', retval('int64_t'), [param('int64_t', 'r')])
add_checked_function(mod, 'genbank_Read', retval('int64_t'), [param('char*', 'path')])
add_checked_string_function(mod, 'genbank_BuildFeatureString', retval('char*'), [param('int64_t', 'feature')])
add_checked_string_function(mod, 'genbank_BuildLocationString', retval('char*'), [param('int64_t', 'location')])
add_checked_function(mod, 'genbank_BuildMulti', retval('int64_t'), [param('int64_t', 'sequences')])
add_checked_function(mod, 'genbank_ReadMultiNth', retval('int64_t'), [param('char*', 'path'), param('int64_t', 'count')])
add_checked_function(mod, 'genbank_Write', retval('char*'), [param('int64_t', 'sequences'), param('char*', 'path')])
add_checked_function(mod, 'genbank_WriteMulti', retval('char*'), [param('int64_t', 'sequences'), param('char*', 'path')])
add_checked_function(mod, 'genbank_Build', retval('int64_t'), [param('int64_t', 'gbk')])
add_checked_function(mod, 'genbank_ParseMulti', retval('int64_t'), [param('int64_t', 'r')])
add_checked_function(mod, 'genbank_ParseMultiNth', retval('int64_t'), [param('int64_t', 'r'), param('int64_t', 'count')])
add_checked_function(mod, 'genbank_ReadMulti', retval('int64_t'), [param('char*', 'path')])
mod.add_function('Array_32_byte_CTor', retval('int64_t'), [])
mod.add_function('Array_32_byte_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Array_32_byte_elem', retval('uint8_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Array_32_byte_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint8_t', 'value')])
mod.add_function('Slice_gff_Feature_CTor', retval('int64_t'), [])
mod.add_function('Slice_gff_Feature_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_gff_Feature_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_gff_Feature_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_gff_Feature_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_gff_Feature_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_gff_Location_CTor', retval('int64_t'), [])
mod.add_function('Slice_gff_Location_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_gff_Location_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_gff_Location_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_gff_Location_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_gff_Location_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('gff_Feature_CTor', retval('int64_t'), [])
mod.add_function('gff_Feature_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Feature_Source_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Source_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Feature_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Feature_Score_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Score_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Feature_Strand_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Strand_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Feature_Phase_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Phase_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Feature_Attributes_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Attributes_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Feature_Location_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_Location_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Feature_ParentSequence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Feature_ParentSequence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_string_function(mod, 'gff_Feature_GetSequence', retval('char*'), [param('int64_t', '_handle')])
mod.add_function('gff_Gff_CTor', retval('int64_t'), [])
mod.add_function('gff_Gff_Meta_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Gff_Meta_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Gff_Features_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Gff_Features_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Gff_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Gff_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'gff_Gff_AddFeature', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'feature')])
mod.add_function('gff_Location_CTor', retval('int64_t'), [])
mod.add_function('gff_Location_Start_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Location_Start_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Location_End_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Location_End_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Location_Complement_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('gff_Location_Complement_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('gff_Location_Join_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('gff_Location_Join_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('gff_Location_FivePrimePartial_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('gff_Location_FivePrimePartial_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('gff_Location_ThreePrimePartial_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('gff_Location_ThreePrimePartial_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('gff_Location_SubLocations_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Location_SubLocations_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Meta_CTor', retval('int64_t'), [])
mod.add_function('gff_Meta_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Meta_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Meta_Version_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_Version_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Meta_RegionStart_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_RegionStart_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Meta_RegionEnd_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_RegionEnd_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Meta_Size_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_Size_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('gff_Meta_SequenceHash_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_SequenceHash_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Meta_SequenceHashFunction_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('gff_Meta_SequenceHashFunction_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('gff_Meta_CheckSum_Get', retval('int64_t'), [param('int64_t', 'handle')])
add_checked_function(mod, 'gff_Parse', retval('int64_t'), [param('int64_t', 'file')])
add_checked_function(mod, 'gff_Read', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'gff_Build', retval('int64_t'), [param('int64_t', 'sequence')])
add_checked_function(mod, 'gff_Write', retval('char*'), [param('int64_t', 'sequence'), param('char*', 'path')])
mod.add_function('Slice_pileup_Pileup_CTor', retval('int64_t'), [])
mod.add_function('Slice_pileup_Pileup_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_pileup_Pileup_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_pileup_Pileup_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_pileup_Pileup_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_pileup_Pileup_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('pileup_Parser_CTor', retval('int64_t'), [])
add_checked_function(mod, 'pileup_Parser_ParseAll', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_function(mod, 'pileup_Parser_ParseN', retval('int64_t'), [param('int64_t', '_handle'), param('int64_t', 'maxRows')])
add_checked_function(mod, 'pileup_Parser_ParseNext', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_function(mod, 'pileup_Parser_Reset', None, [param('int64_t', '_handle'), param('int64_t', 'r'), param('bool', 'goRun')])
mod.add_function('pileup_Pileup_CTor', retval('int64_t'), [])
mod.add_function('pileup_Pileup_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('pileup_Pileup_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('pileup_Pileup_Position_Get', retval('uint64_t'), [param('int64_t', 'handle')])
mod.add_function('pileup_Pileup_Position_Set', None, [param('int64_t', 'handle'), param('uint64_t', 'val')])
mod.add_function('pileup_Pileup_ReferenceBase_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('pileup_Pileup_ReferenceBase_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('pileup_Pileup_ReadCount_Get', retval('uint64_t'), [param('int64_t', 'handle')])
mod.add_function('pileup_Pileup_ReadCount_Set', None, [param('int64_t', 'handle'), param('uint64_t', 'val')])
mod.add_function('pileup_Pileup_ReadResults_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('pileup_Pileup_ReadResults_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('pileup_Pileup_Quality_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('pileup_Pileup_Quality_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'pileup_NewParser', retval('int64_t'), [param('int64_t', 'r'), param('int64_t', 'maxLineSize')])
add_checked_function(mod, 'pileup_Read', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'pileup_Write', retval('char*'), [param('int64_t', 'pileups'), param('char*', 'path')])
add_checked_function(mod, 'pileup_WritePileups', retval('char*'), [param('int64_t', 'pileups'), param('int64_t', 'w')])
add_checked_function(mod, 'pileup_Parse', retval('int64_t'), [param('int64_t', 'r')])
mod.add_function('Slice_polyjson_Feature_CTor', retval('int64_t'), [])
mod.add_function('Slice_polyjson_Feature_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_polyjson_Feature_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_polyjson_Feature_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_polyjson_Feature_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_polyjson_Feature_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_polyjson_Location_CTor', retval('int64_t'), [])
mod.add_function('Slice_polyjson_Location_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_polyjson_Location_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_polyjson_Location_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_polyjson_Location_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_polyjson_Location_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('polyjson_Feature_CTor', retval('int64_t'), [])
mod.add_function('polyjson_Feature_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Feature_Hash_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_Hash_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Feature_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Feature_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Feature_Location_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_Location_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Feature_Tags_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_Tags_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Feature_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Feature_ParentSequence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Feature_ParentSequence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_string_function(mod, 'polyjson_Feature_GetSequence', retval('char*'), [param('int64_t', '_handle')])
mod.add_function('polyjson_Location_CTor', retval('int64_t'), [])
mod.add_function('polyjson_Location_Start_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Location_Start_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Location_End_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Location_End_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Location_Complement_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Location_Complement_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('polyjson_Location_Join_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Location_Join_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('polyjson_Location_FivePrimePartial_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Location_FivePrimePartial_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('polyjson_Location_ThreePrimePartial_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Location_ThreePrimePartial_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('polyjson_Location_SubLocations_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Location_SubLocations_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Meta_CTor', retval('int64_t'), [])
mod.add_function('polyjson_Meta_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Meta_Hash_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_Hash_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Meta_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Meta_URL_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_URL_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Meta_CreatedBy_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_CreatedBy_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Meta_CreatedWith_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_CreatedWith_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Meta_CreatedOn_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_CreatedOn_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Meta_Schema_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Meta_Schema_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('polyjson_Poly_CTor', retval('int64_t'), [])
mod.add_function('polyjson_Poly_Meta_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Poly_Meta_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Poly_Features_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Poly_Features_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('polyjson_Poly_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('polyjson_Poly_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'polyjson_Poly_AddFeature', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'feature')])
add_checked_function(mod, 'polyjson_Read', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'polyjson_Parse', retval('int64_t'), [param('int64_t', 'file')])
add_checked_function(mod, 'polyjson_Write', retval('char*'), [param('int64_t', 'sequence'), param('char*', 'path')])
mod.add_function('Map_string_rebase_Enzyme_CTor', retval('int64_t'), [])
mod.add_function('Map_string_rebase_Enzyme_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Map_string_rebase_Enzyme_elem', retval('int64_t'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_rebase_Enzyme_contains', retval('bool'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_rebase_Enzyme_set', None, [param('int64_t', 'handle'), param('char*', 'key'), param('int64_t', 'value')])
mod.add_function('Map_string_rebase_Enzyme_delete', None, [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_rebase_Enzyme_keys', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_CTor', retval('int64_t'), [])
mod.add_function('rebase_Enzyme_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('rebase_Enzyme_Isoschizomers_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_Isoschizomers_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('rebase_Enzyme_RecognitionSequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_RecognitionSequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('rebase_Enzyme_MethylationSite_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_MethylationSite_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('rebase_Enzyme_MicroOrganism_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_MicroOrganism_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('rebase_Enzyme_Source_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_Source_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('rebase_Enzyme_CommercialAvailability_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_CommercialAvailability_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('rebase_Enzyme_References_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('rebase_Enzyme_References_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'rebase_Read', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'rebase_Export', retval('int64_t'), [param('int64_t', 'enzymeMap')])
add_checked_function(mod, 'rebase_Parse', retval('int64_t'), [param('int64_t', 'file')])
mod.add_function('Map_string_int_CTor', retval('int64_t'), [])
mod.add_function('Map_string_int_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Map_string_int_elem', retval('int64_t'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_int_contains', retval('bool'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_int_set', None, [param('int64_t', 'handle'), param('char*', 'key'), param('int64_t', 'value')])
mod.add_function('Map_string_int_delete', None, [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_int_keys', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Header_CTor', retval('int64_t'), [])
mod.add_function('slow5_Header_ReadGroupID_Get', retval('uint32_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Header_ReadGroupID_Set', None, [param('int64_t', 'handle'), param('uint32_t', 'val')])
mod.add_function('slow5_Header_Slow5Version_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('slow5_Header_Slow5Version_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('slow5_Header_Attributes_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Header_Attributes_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('slow5_Header_EndReasonHeaderMap_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Header_EndReasonHeaderMap_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('slow5_Parser_CTor', retval('int64_t'), [])
add_checked_function(mod, 'slow5_Parser_ParseNext', retval('int64_t'), [param('int64_t', '_handle')])
mod.add_function('slow5_Read_CTor', retval('int64_t'), [])
mod.add_function('slow5_Read_ReadID_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_ReadID_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('slow5_Read_ReadGroupID_Get', retval('uint32_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_ReadGroupID_Set', None, [param('int64_t', 'handle'), param('uint32_t', 'val')])
mod.add_function('slow5_Read_Digitisation_Get', retval('double'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_Digitisation_Set', None, [param('int64_t', 'handle'), param('double', 'val')])
mod.add_function('slow5_Read_Offset_Get', retval('double'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_Offset_Set', None, [param('int64_t', 'handle'), param('double', 'val')])
mod.add_function('slow5_Read_Range_Get', retval('double'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_Range_Set', None, [param('int64_t', 'handle'), param('double', 'val')])
mod.add_function('slow5_Read_SamplingRate_Get', retval('double'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_SamplingRate_Set', None, [param('int64_t', 'handle'), param('double', 'val')])
mod.add_function('slow5_Read_LenRawSignal_Get', retval('uint64_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_LenRawSignal_Set', None, [param('int64_t', 'handle'), param('uint64_t', 'val')])
mod.add_function('slow5_Read_RawSignal_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_RawSignal_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('slow5_Read_ChannelNumber_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_ChannelNumber_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('slow5_Read_MedianBefore_Get', retval('double'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_MedianBefore_Set', None, [param('int64_t', 'handle'), param('double', 'val')])
mod.add_function('slow5_Read_ReadNumber_Get', retval('int32_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_ReadNumber_Set', None, [param('int64_t', 'handle'), param('int32_t', 'val')])
mod.add_function('slow5_Read_StartMux_Get', retval('uint8_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_StartMux_Set', None, [param('int64_t', 'handle'), param('uint8_t', 'val')])
mod.add_function('slow5_Read_StartTime_Get', retval('uint64_t'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_StartTime_Set', None, [param('int64_t', 'handle'), param('uint64_t', 'val')])
mod.add_function('slow5_Read_EndReason_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('slow5_Read_EndReason_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('Slice_xml_Attr_CTor', retval('int64_t'), [])
mod.add_function('Slice_xml_Attr_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_xml_Attr_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_xml_Attr_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_xml_Attr_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_xml_Attr_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_AlternativeName_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_AlternativeName_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_AlternativeName_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_AlternativeName_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_AlternativeName_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_AlternativeName_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_CofactorType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_CofactorType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_CofactorType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_CofactorType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_CofactorType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_CofactorType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_CommentType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_CommentType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_CommentType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_CommentType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_CommentType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_CommentType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Component_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_Component_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_Component_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_Component_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_Component_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Component_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_DbReferenceType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_DbReferenceType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_DbReferenceType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_DbReferenceType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_DbReferenceType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_DbReferenceType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Domain_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_Domain_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_Domain_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_Domain_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_Domain_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Domain_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_EventType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_EventType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_EventType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_EventType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_EventType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_EventType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_EvidenceType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_EvidenceType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_EvidenceType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_EvidenceType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_EvidenceType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_EvidenceType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_EvidencedStringType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_EvidencedStringType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_EvidencedStringType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_EvidencedStringType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_EvidencedStringType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_EvidencedStringType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_FeatureType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_FeatureType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_FeatureType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_FeatureType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_FeatureType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_FeatureType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_GeneLocationType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_GeneLocationType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_GeneLocationType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_GeneLocationType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_GeneLocationType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_GeneLocationType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_GeneNameType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_GeneNameType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_GeneNameType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_GeneNameType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_GeneNameType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_GeneNameType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_GeneType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_GeneType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_GeneType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_GeneType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_GeneType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_GeneType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_InteractantType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_InteractantType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_InteractantType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_InteractantType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_InteractantType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_InteractantType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_IsoformType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_IsoformType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_IsoformType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_IsoformType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_IsoformType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_IsoformType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_KeywordType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_KeywordType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_KeywordType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_KeywordType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_KeywordType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_KeywordType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Link_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_Link_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_Link_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_Link_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_Link_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Link_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_LocationType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_LocationType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_LocationType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_LocationType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_LocationType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_LocationType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Name_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_Name_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_Name_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_Name_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_Name_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_Name_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_OrganismNameType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_OrganismNameType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_OrganismNameType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_OrganismNameType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_OrganismNameType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_OrganismNameType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_OrganismType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_OrganismType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_OrganismType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_OrganismType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_OrganismType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_OrganismType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_PhysiologicalReactionType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_PhysiologicalReactionType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_PhysiologicalReactionType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_PhysiologicalReactionType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_PhysiologicalReactionType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_PhysiologicalReactionType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_PropertyType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_PropertyType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_PropertyType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_PropertyType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_PropertyType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_PropertyType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_ReferenceType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_ReferenceType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_ReferenceType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_ReferenceType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_ReferenceType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_ReferenceType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_StatusType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_StatusType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_StatusType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_StatusType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_StatusType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_StatusType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_SubcellularLocationType_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_SubcellularLocationType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_SubcellularLocationType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_SubcellularLocationType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_SubcellularLocationType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_SubcellularLocationType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_SubmittedName_CTor', retval('int64_t'), [])
mod.add_function('Slice_uniprot_SubmittedName_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uniprot_SubmittedName_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uniprot_SubmittedName_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uniprot_SubmittedName_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_uniprot_SubmittedName_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
add_checked_function(mod, 'uniprot_Decoder_DecodeElement', retval('char*'), [param('int64_t', '_handle'), param('char*', 'v'), param('int64_t', 'start')])
add_checked_function(mod, 'uniprot_Decoder_Token', retval('int64_t'), [param('int64_t', '_handle')])
mod.add_function('uniprot_NameListType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_NameListType_Consortium_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_NameListType_Consortium_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_NameListType_Person_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_NameListType_Person_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ReactionType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_ReactionType_Text_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReactionType_Text_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_ReactionType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReactionType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ReactionType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReactionType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Tissue_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Tissue_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Tissue_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Tissue_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Tissue_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_LocationType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_LocationType_Begin_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_LocationType_Begin_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_LocationType_End_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_LocationType_End_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_LocationType_Position_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_LocationType_Position_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_LocationType_Sequence_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_LocationType_Sequence_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_RecommendedName_CTor', retval('int64_t'), [])
mod.add_function('uniprot_RecommendedName_FullName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_RecommendedName_FullName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_RecommendedName_ShortName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_RecommendedName_ShortName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_RecommendedName_EcNumber_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_RecommendedName_EcNumber_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SubcellularLocationType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_SubcellularLocationType_Location_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SubcellularLocationType_Location_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SubcellularLocationType_Topology_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SubcellularLocationType_Topology_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SubcellularLocationType_Orientation_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SubcellularLocationType_Orientation_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_OrganismNameType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_OrganismNameType_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_OrganismNameType_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_OrganismNameType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_OrganismNameType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Sequence_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Sequence_Resource_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Sequence_Resource_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Sequence_Version_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Sequence_Version_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SequenceType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_SequenceType_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_SequenceType_Length_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Length_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SequenceType_Mass_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Mass_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SequenceType_Checksum_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Checksum_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_SequenceType_Modified_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Modified_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SequenceType_Version_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Version_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SequenceType_Precursor_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Precursor_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('uniprot_SequenceType_Fragment_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SequenceType_Fragment_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'uniprot_SequenceType_UnmarshalXML', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'd'), param('int64_t', 'start')])
mod.add_function('uniprot_Uniprot_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Uniprot_Entry_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Uniprot_Entry_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Uniprot_Copyright_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Uniprot_Copyright_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Disease_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Disease_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Disease_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Disease_Acronym_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Disease_Acronym_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Disease_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Disease_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Disease_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Disease_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_PhDependence_CTor', retval('int64_t'), [])
mod.add_function('uniprot_PhDependence_Text_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PhDependence_Text_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_PropertyType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_PropertyType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PropertyType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_PropertyType_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PropertyType_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Anon6_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Anon6_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Anon6_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_FeatureType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_FeatureType_Original_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_FeatureType_Original_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_FeatureType_Variation_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_FeatureType_Variation_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_FeatureType_Location_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_FeatureType_Location_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_FeatureType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_FeatureType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_FeatureType_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_FeatureType_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_FeatureType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_FeatureType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_GeneType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_GeneType_Name_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_GeneType_Name_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Link_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Link_Uri_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Link_Uri_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_OrganismType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_OrganismType_Name_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_OrganismType_Name_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_OrganismType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_OrganismType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_OrganismType_Lineage_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_OrganismType_Lineage_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_OrganismType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_OrganismType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_DbReferenceType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_DbReferenceType_Molecule_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_DbReferenceType_Molecule_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_DbReferenceType_Property_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_DbReferenceType_Property_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_DbReferenceType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_DbReferenceType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_DbReferenceType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_DbReferenceType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Strain_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Strain_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Strain_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Strain_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Strain_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SubmittedName_CTor', retval('int64_t'), [])
mod.add_function('uniprot_SubmittedName_FullName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SubmittedName_FullName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SubmittedName_EcNumber_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SubmittedName_EcNumber_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Transposon_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Transposon_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Transposon_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Transposon_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Transposon_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_CommentType_Molecule_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Molecule_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CommentType_Absorption_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Absorption_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Kinetics_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Kinetics_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_PhDependence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_PhDependence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_RedoxPotential_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_RedoxPotential_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_TemperatureDependence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_TemperatureDependence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Reaction_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Reaction_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_PhysiologicalReaction_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_PhysiologicalReaction_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Cofactor_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Cofactor_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_SubcellularLocation_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_SubcellularLocation_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Conflict_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Conflict_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Link_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Link_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Event_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Event_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Isoform_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Isoform_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Interactant_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Interactant_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_OrganismsDiffer_Get', retval('bool'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_OrganismsDiffer_Set', None, [param('int64_t', 'handle'), param('bool', 'val')])
mod.add_function('uniprot_CommentType_Experiments_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Experiments_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Disease_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Disease_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Location_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Location_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Text_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Text_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CommentType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CommentType_LocationType_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_LocationType_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CommentType_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CommentType_Mass_Get', retval('float'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Mass_Set', None, [param('int64_t', 'handle'), param('float', 'val')])
mod.add_function('uniprot_CommentType_Error_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Error_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CommentType_Method_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Method_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CommentType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CommentType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'uniprot_CommentType_UnmarshalXML', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'd'), param('int64_t', 'start')])
mod.add_function('uniprot_PositionType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_PositionType_Position_Get', retval('uint64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PositionType_Position_Set', None, [param('int64_t', 'handle'), param('uint64_t', 'val')])
mod.add_function('uniprot_PositionType_Status_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PositionType_Status_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_PositionType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PositionType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'uniprot_PositionType_UnmarshalXML', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'd'), param('int64_t', 'start')])
mod.add_function('uniprot_StatusType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_StatusType_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_StatusType_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_StatusType_Status_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_StatusType_Status_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_GeneLocationType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_GeneLocationType_Name_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_GeneLocationType_Name_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_GeneLocationType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_GeneLocationType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_GeneLocationType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_GeneLocationType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Entry_Accession_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Accession_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Name_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Name_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Protein_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Protein_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Gene_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Gene_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Organism_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Organism_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_OrganismHost_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_OrganismHost_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_GeneLocation_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_GeneLocation_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Reference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Reference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Comment_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Comment_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_ProteinExistence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_ProteinExistence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Keyword_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Keyword_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Feature_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Feature_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Sequence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Sequence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Dataset_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Dataset_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Entry_Created_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Created_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Modified_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Modified_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Entry_Version_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Entry_Version_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'uniprot_Entry_UnmarshalXML', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'd'), param('int64_t', 'start')])
mod.add_function('uniprot_Name_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Name_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Name_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Name_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Name_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_PhysiologicalReactionType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_PhysiologicalReactionType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PhysiologicalReactionType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_PhysiologicalReactionType_Direction_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PhysiologicalReactionType_Direction_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_PhysiologicalReactionType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PhysiologicalReactionType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinExistenceType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_ProteinExistenceType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinExistenceType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_ConsortiumType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_ConsortiumType_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ConsortiumType_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Kinetics_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Kinetics_KM_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Kinetics_KM_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Kinetics_Vmax_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Kinetics_Vmax_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Kinetics_Text_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Kinetics_Text_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_PersonType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_PersonType_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_PersonType_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_RedoxPotential_CTor', retval('int64_t'), [])
mod.add_function('uniprot_RedoxPotential_Text_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_RedoxPotential_Text_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Conflict_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Conflict_Sequence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Conflict_Sequence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Conflict_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Conflict_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Lineage_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Lineage_Taxon_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Lineage_Taxon_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_ProteinType_RecommendedName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_RecommendedName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_AlternativeName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_AlternativeName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_SubmittedName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_SubmittedName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_AllergenName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_AllergenName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_BiotechName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_BiotechName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_CdAntigenName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_CdAntigenName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_InnName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_InnName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_Domain_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_Domain_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ProteinType_Component_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ProteinType_Component_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SourceType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_SourceType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SourceType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Component_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Component_RecommendedName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Component_RecommendedName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Component_AlternativeName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Component_AlternativeName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Component_SubmittedName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Component_SubmittedName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Component_AllergenName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Component_AllergenName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Component_BiotechName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Component_BiotechName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Component_CdAntigenName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Component_CdAntigenName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Component_InnName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Component_InnName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CofactorType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_CofactorType_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CofactorType_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CofactorType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CofactorType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CofactorType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CofactorType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_EvidenceType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_EvidenceType_Source_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_EvidenceType_Source_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_EvidenceType_ImportedFrom_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_EvidenceType_ImportedFrom_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_EvidenceType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_EvidenceType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_EvidenceType_Key_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_EvidenceType_Key_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ImportedFromType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_ImportedFromType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ImportedFromType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SourceDataType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_SourceDataType_Strain_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SourceDataType_Strain_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SourceDataType_Plasmid_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SourceDataType_Plasmid_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SourceDataType_Transposon_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SourceDataType_Transposon_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_SourceDataType_Tissue_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_SourceDataType_Tissue_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_AlternativeName_CTor', retval('int64_t'), [])
mod.add_function('uniprot_AlternativeName_FullName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_AlternativeName_FullName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_AlternativeName_ShortName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_AlternativeName_ShortName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_AlternativeName_EcNumber_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_AlternativeName_EcNumber_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_InteractantType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_InteractantType_Id_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_InteractantType_Id_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_InteractantType_Label_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_InteractantType_Label_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_InteractantType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_InteractantType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_InteractantType_IntactId_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_InteractantType_IntactId_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_KeywordType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_KeywordType_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_KeywordType_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_KeywordType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_KeywordType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_EventType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_EventType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_EventType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_CitationType_Title_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Title_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_EditorList_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_EditorList_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CitationType_AuthorList_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_AuthorList_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CitationType_Locator_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Locator_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_DbReference_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_DbReference_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_CitationType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Date_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Date_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Volume_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Volume_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_First_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_First_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Last_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Last_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Publisher_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Publisher_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_City_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_City_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Db_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Db_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Number_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Number_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Institute_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Institute_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_CitationType_Country_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_CitationType_Country_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Domain_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Domain_RecommendedName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Domain_RecommendedName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Domain_AlternativeName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Domain_AlternativeName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Domain_SubmittedName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Domain_SubmittedName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Domain_AllergenName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Domain_AllergenName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Domain_BiotechName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Domain_BiotechName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Domain_CdAntigenName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Domain_CdAntigenName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Domain_InnName_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Domain_InnName_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_EvidencedStringType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_EvidencedStringType_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_EvidencedStringType_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_EvidencedStringType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_EvidencedStringType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Plasmid_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Plasmid_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Plasmid_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_Plasmid_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Plasmid_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ReferenceType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_ReferenceType_Citation_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReferenceType_Citation_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ReferenceType_Scope_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReferenceType_Scope_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ReferenceType_Source_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReferenceType_Source_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ReferenceType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReferenceType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_ReferenceType_Key_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_ReferenceType_Key_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_TemperatureDependence_CTor', retval('int64_t'), [])
mod.add_function('uniprot_TemperatureDependence_Text_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_TemperatureDependence_Text_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Absorption_CTor', retval('int64_t'), [])
mod.add_function('uniprot_Absorption_Max_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Absorption_Max_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_Absorption_Text_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_Absorption_Text_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_IsoformType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_IsoformType_Id_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_IsoformType_Id_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_IsoformType_Name_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_IsoformType_Name_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_IsoformType_Sequence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_IsoformType_Sequence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_IsoformType_Text_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_IsoformType_Text_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_GeneNameType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_GeneNameType_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_GeneNameType_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_GeneNameType_Evidence_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('uniprot_GeneNameType_Evidence_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('uniprot_GeneNameType_Type_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('uniprot_GeneNameType_Type_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('uniprot_IntListType_CTor', retval('int64_t'), [])
mod.add_function('uniprot_IntListType_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('uniprot_IntListType_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('uniprot_IntListType_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('uniprot_IntListType_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('uniprot_IntListType_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
add_checked_function(mod, 'uniprot_IntListType_UnmarshalText', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'text')])
add_checked_function(mod, 'primers_CreateBarcodes', retval('int64_t'), [param('int64_t', 'length'), param('int64_t', 'maxSubSequence')])
add_checked_function(mod, 'primers_CreateBarcodesGcRange', retval('int64_t'), [param('int64_t', 'length'), param('int64_t', 'maxSubSequence'), param('double', 'minGcContent'), param('double', 'maxGcContent')])
add_checked_function(mod, 'primers_MarmurDoty', retval('double'), [param('char*', 'sequence')])
add_checked_function(mod, 'primers_MeltingTemp', retval('double'), [param('char*', 'sequence')])
add_checked_string_function(mod, 'primers_NucleobaseDeBruijnSequence', retval('char*'), [param('int64_t', 'substringLength')])
add_checked_function(mod, 'pcr_Simulate', retval('int64_t'), [param('int64_t', 'sequences'), param('double', 'targetTm'), param('bool', 'circular'), param('int64_t', 'primerList')])
add_checked_function(mod, 'pcr_SimulateSimple', retval('int64_t'), [param('int64_t', 'sequences'), param('double', 'targetTm'), param('bool', 'circular'), param('int64_t', 'primerList')])
add_checked_string_function(mod, 'random_DNASequence', retval('char*'), [param('int64_t', 'length'), param('int64_t', 'seed')])
add_checked_string_function(mod, 'random_ProteinSequence', retval('char*'), [param('int64_t', 'length'), param('int64_t', 'seed')])
add_checked_string_function(mod, 'random_RNASequence', retval('char*'), [param('int64_t', 'length'), param('int64_t', 'seed')])
mod.add_function('align_Scoring_CTor', retval('int64_t'), [])
mod.add_function('align_Scoring_SubstitutionMatrix_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('align_Scoring_SubstitutionMatrix_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('align_Scoring_GapPenalty_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('align_Scoring_GapPenalty_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'align_Scoring_Score', retval('int64_t'), [param('int64_t', '_handle'), param('uint8_t', 'a'), param('uint8_t', 'b')])
add_checked_function(mod, 'align_NewScoring', retval('int64_t'), [param('int64_t', 'substitutionMatrix'), param('int64_t', 'gapPenalty')])
mod.add_function('matrix_BLOSUM100', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM100', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM30', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM30', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM35', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM35', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM40', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM40', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM45', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM45', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM50', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM50', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM55', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM55', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM60', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM60', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM62', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM62', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM65', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM65', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM70', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM70', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM75', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM75', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM80', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM80', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM85', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM85', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUM90', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUM90', None, [param('int64_t', 'val')])
mod.add_function('matrix_BLOSUMN', retval('int64_t'), [])
mod.add_function('matrix_Set_BLOSUMN', None, [param('int64_t', 'val')])
mod.add_function('matrix_DAYHOFF', retval('int64_t'), [])
mod.add_function('matrix_Set_DAYHOFF', None, [param('int64_t', 'val')])
mod.add_function('matrix_Default', retval('int64_t'), [])
mod.add_function('matrix_Set_Default', None, [param('int64_t', 'val')])
mod.add_function('matrix_GONNET', retval('int64_t'), [])
mod.add_function('matrix_Set_GONNET', None, [param('int64_t', 'val')])
mod.add_function('matrix_IDENTITY', retval('int64_t'), [])
mod.add_function('matrix_Set_IDENTITY', None, [param('int64_t', 'val')])
mod.add_function('matrix_MATCH', retval('int64_t'), [])
mod.add_function('matrix_Set_MATCH', None, [param('int64_t', 'val')])
mod.add_function('matrix_NUC_4', retval('int64_t'), [])
mod.add_function('matrix_Set_NUC_4', None, [param('int64_t', 'val')])
mod.add_function('matrix_NUC_4_4', retval('int64_t'), [])
mod.add_function('matrix_Set_NUC_4_4', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM10', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM10', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM100', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM100', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM110', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM110', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM120', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM120', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM120_cdi', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM120_cdi', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM130', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM130', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM140', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM140', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM150', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM150', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM160', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM160', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM160_cdi', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM160_cdi', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM170', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM170', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM180', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM180', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM190', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM190', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM20', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM20', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM200', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM200', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM200_cdi', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM200_cdi', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM210', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM210', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM220', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM220', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM230', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM230', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM240', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM240', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM250', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM250', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM250_cdi', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM250_cdi', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM260', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM260', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM270', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM270', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM280', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM280', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM290', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM290', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM30', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM30', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM300', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM300', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM310', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM310', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM320', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM320', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM330', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM330', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM340', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM340', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM350', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM350', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM360', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM360', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM370', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM370', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM380', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM380', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM390', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM390', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM40', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM40', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM400', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM400', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM40_cdi', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM40_cdi', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM410', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM410', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM420', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM420', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM430', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM430', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM440', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM440', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM450', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM450', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM460', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM460', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM470', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM470', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM480', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM480', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM490', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM490', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM50', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM50', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM500', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM500', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM60', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM60', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM70', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM70', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM80', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM80', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM80_cdi', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM80_cdi', None, [param('int64_t', 'val')])
mod.add_function('matrix_PAM90', retval('int64_t'), [])
mod.add_function('matrix_Set_PAM90', None, [param('int64_t', 'val')])
mod.add_function('matrix_SubstitutionMatrix_CTor', retval('int64_t'), [])
mod.add_function('matrix_SubstitutionMatrix_FirstAlphabet_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('matrix_SubstitutionMatrix_FirstAlphabet_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('matrix_SubstitutionMatrix_SecondAlphabet_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('matrix_SubstitutionMatrix_SecondAlphabet_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'matrix_SubstitutionMatrix_Score', retval('int64_t'), [param('int64_t', '_handle'), param('char*', 'a'), param('char*', 'b')])
add_checked_function(mod, 'matrix_NewSubstitutionMatrix', retval('int64_t'), [param('int64_t', 'firstAlphabet'), param('int64_t', 'secondAlphabet'), param('int64_t', 'scores')])
mod.add_function('bwt_BWT_CTor', retval('int64_t'), [])
add_checked_function(mod, 'bwt_BWT_Count', retval('int64_t'), [param('int64_t', '_handle'), param('char*', 'pattern')])
add_checked_function(mod, 'bwt_BWT_Locate', retval('int64_t'), [param('int64_t', '_handle'), param('char*', 'pattern')])
add_checked_string_function(mod, 'bwt_BWT_Extract', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'start'), param('int64_t', 'end')])
add_checked_function(mod, 'bwt_BWT_Len', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_string_function(mod, 'bwt_BWT_GetTransform', retval('char*'), [param('int64_t', '_handle')])
add_checked_function(mod, 'bwt_New', retval('int64_t'), [param('char*', 'sequence')])
mod.add_function('mash_Mash_CTor', retval('int64_t'), [])
mod.add_function('mash_Mash_KmerSize_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('mash_Mash_KmerSize_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('mash_Mash_SketchSize_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('mash_Mash_SketchSize_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('mash_Mash_Sketches_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('mash_Mash_Sketches_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'mash_Mash_Sketch', None, [param('int64_t', '_handle'), param('char*', 'sequence'), param('bool', 'goRun')])
add_checked_function(mod, 'mash_Mash_Similarity', retval('double'), [param('int64_t', '_handle'), param('int64_t', 'other')])
add_checked_function(mod, 'mash_Mash_Distance', retval('double'), [param('int64_t', '_handle'), param('int64_t', 'other')])
add_checked_function(mod, 'mash_New', retval('int64_t'), [param('int64_t', 'kmerSize'), param('int64_t', 'sketchSize')])
add_checked_string_function(mod, 'seqhash_Hash', retval('char*'), [param('char*', 'sequence'), param('char*', 'sequenceType'), param('bool', 'circular'), param('bool', 'doubleStranded')])
add_checked_string_function(mod, 'seqhash_RotateSequence', retval('char*'), [param('char*', 'sequence')])
mod.add_function('Slice_codon_AminoAcid_CTor', retval('int64_t'), [])
mod.add_function('Slice_codon_AminoAcid_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_codon_AminoAcid_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_codon_AminoAcid_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_codon_AminoAcid_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_codon_AminoAcid_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_codon_Codon_CTor', retval('int64_t'), [])
mod.add_function('Slice_codon_Codon_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_codon_Codon_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_codon_Codon_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_codon_Codon_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_codon_Codon_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Map_string_weightedrand_Chooser_CTor', retval('int64_t'), [])
mod.add_function('Map_string_weightedrand_Chooser_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Map_string_weightedrand_Chooser_elem', retval('int64_t'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_weightedrand_Chooser_contains', retval('bool'), [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_weightedrand_Chooser_set', None, [param('int64_t', 'handle'), param('char*', 'key'), param('int64_t', 'value')])
mod.add_function('Map_string_weightedrand_Chooser_delete', None, [param('int64_t', 'handle'), param('char*', '_ky')])
mod.add_function('Map_string_weightedrand_Chooser_keys', retval('int64_t'), [param('int64_t', 'handle')])
add_checked_function(mod, 'codon_Table_GetWeightedAminoAcids', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_string_function(mod, 'codon_Table_Optimize', retval('char*'), [param('int64_t', '_handle'), param('char*', 'aminoAcids'), param('int64_t', 'randomState')])
add_checked_string_function(mod, 'codon_Table_Translate', retval('char*'), [param('int64_t', '_handle'), param('char*', 'dnaSeq')])
mod.add_function('codon_AminoAcid_CTor', retval('int64_t'), [])
mod.add_function('codon_AminoAcid_Letter_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('codon_AminoAcid_Letter_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('codon_AminoAcid_Codons_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_AminoAcid_Codons_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_Codon_CTor', retval('int64_t'), [])
mod.add_function('codon_Codon_Triplet_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('codon_Codon_Triplet_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('codon_Codon_Weight_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_Codon_Weight_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_Stats_CTor', retval('int64_t'), [])
mod.add_function('codon_Stats_StartCodonCount_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_Stats_StartCodonCount_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_Stats_GeneCount_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_Stats_GeneCount_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_TranslationTable_CTor', retval('int64_t'), [])
mod.add_function('codon_TranslationTable_StartCodons_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_TranslationTable_StartCodons_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_TranslationTable_StopCodons_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_TranslationTable_StopCodons_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_TranslationTable_AminoAcids_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_TranslationTable_AminoAcids_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_TranslationTable_TranslationMap_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_TranslationTable_TranslationMap_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_TranslationTable_StartCodonTable_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_TranslationTable_StartCodonTable_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_TranslationTable_Choosers_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_TranslationTable_Choosers_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('codon_TranslationTable_Stats_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('codon_TranslationTable_Stats_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'codon_TranslationTable_Copy', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_function(mod, 'codon_TranslationTable_GetWeightedAminoAcids', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_string_function(mod, 'codon_TranslationTable_Optimize', retval('char*'), [param('int64_t', '_handle'), param('char*', 'aminoAcids'), param('int64_t', 'randomState')])
add_checked_function(mod, 'codon_TranslationTable_UpdateWeights', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'aminoAcids')])
add_checked_function(mod, 'codon_TranslationTable_UpdateWeightsWithSequence', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'data')])
add_checked_string_function(mod, 'codon_TranslationTable_Translate', retval('char*'), [param('int64_t', '_handle'), param('char*', 'dnaSeq')])
add_checked_function(mod, 'codon_NewStats', retval('int64_t'), [])
add_checked_function(mod, 'codon_NewTranslationTable', retval('int64_t'), [param('int64_t', 'index')])
add_checked_function(mod, 'codon_ParseCodonJSON', retval('int64_t'), [param('int64_t', 'file')])
add_checked_function(mod, 'codon_ReadCodonJSON', retval('int64_t'), [param('char*', 'path')])
add_checked_function(mod, 'codon_AddCodonTable', retval('int64_t'), [param('int64_t', 'firstCodonTable'), param('int64_t', 'secondCodonTable')])
add_checked_function(mod, 'codon_CompromiseCodonTable', retval('int64_t'), [param('int64_t', 'firstCodonTable'), param('int64_t', 'secondCodonTable'), param('double', 'cutOff')])
add_checked_function(mod, 'codon_WriteCodonJSON', None, [param('int64_t', 'codonTable'), param('char*', 'path'), param('bool', 'goRun')])
mod.add_function('fix_Change_CTor', retval('int64_t'), [])
mod.add_function('fix_Change_Position_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('fix_Change_Position_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('fix_Change_Step_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('fix_Change_Step_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('fix_Change_From_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fix_Change_From_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fix_Change_To_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fix_Change_To_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fix_Change_Reason_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fix_Change_Reason_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fix_DnaSuggestion_CTor', retval('int64_t'), [])
mod.add_function('fix_DnaSuggestion_Start_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('fix_DnaSuggestion_Start_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('fix_DnaSuggestion_End_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('fix_DnaSuggestion_End_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('fix_DnaSuggestion_Bias_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fix_DnaSuggestion_Bias_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('fix_DnaSuggestion_QuantityFixes_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('fix_DnaSuggestion_QuantityFixes_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('fix_DnaSuggestion_SuggestionType_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('fix_DnaSuggestion_SuggestionType_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_string_function(mod, 'fragment_NextOverhang', retval('char*'), [param('int64_t', 'currentOverhangs')])
add_checked_function(mod, 'fragment_SetEfficiency', retval('double'), [param('int64_t', 'overhangs')])
add_checked_function(mod, 'transform_ComplementBaseRNA', retval('int32_t'), [param('int32_t', 'basePair')])
add_checked_string_function(mod, 'transform_ComplementRNA', retval('char*'), [param('char*', 'sequence')])
add_checked_string_function(mod, 'transform_Reverse', retval('char*'), [param('char*', 'sequence')])
add_checked_string_function(mod, 'transform_ReverseComplement', retval('char*'), [param('char*', 'sequence')])
add_checked_string_function(mod, 'transform_ReverseComplementRNA', retval('char*'), [param('char*', 'sequence')])
add_checked_string_function(mod, 'transform_Complement', retval('char*'), [param('char*', 'sequence')])
add_checked_function(mod, 'transform_ComplementBase', retval('int32_t'), [param('int32_t', 'basePair')])
add_checked_function(mod, 'variants_AllVariantsIUPAC', retval('int64_t'), [param('char*', 'seq')])

mod.generate(open('poly.c', 'w'))

